Changeset 29029


Ignore:
Timestamp:
2011-11-13T18:45:01+01:00 (6 years ago)
Author:
jow
Message:

[backfire] madwifi: backport r28785

Location:
branches/backfire/package/madwifi
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • branches/backfire/package/madwifi/Makefile

    r21092 r29029  
    1313PKG_REV:=3314 
    1414PKG_VERSION:=r$(PKG_REV) 
    15 PKG_RELEASE:=4 
     15PKG_RELEASE:=5 
    1616 
    1717PKG_SOURCE_PROTO:=svn 
  • branches/backfire/package/madwifi/files/lib/wifi/madwifi.sh

    r28284 r29029  
    66        local wds 
    77        local adhoc ahdemo sta ap monitor disabled 
    8          
     8 
     9        local ifidx=0 
     10 
    911        config_get vifs "$device" vifs 
    1012        for vif in $vifs; do 
     
    1214                [ $disabled = 0 ] || continue 
    1315 
     16                local vifname 
     17                [ $ifidx -gt 0 ] && vifname="ath${device#wifi}-$ifidx" || vifname="ath${device#wifi}" 
     18 
    1419                config_get ifname "$vif" ifname 
    15                 config_set "$vif" ifname "${ifname:-ath}" 
     20                config_set "$vif" ifname "${ifname:-$vifname}" 
    1621                 
    1722                config_get mode "$vif" mode 
     
    3237                        *) echo "$device($vif): Invalid mode, ignored."; continue;; 
    3338                esac 
     39 
     40                ifidx=$(($ifidx + 1)) 
    3441        done 
    3542 
     
    170177                 
    171178                [ "$nosbeacon" = 1 ] || nosbeacon="" 
    172                 ifname=$(wlanconfig "$ifname" create wlandev "$device" wlanmode "$mode" ${nosbeacon:+nosbeacon}) 
     179                ifname=$(wlanconfig "$ifname" create nounit wlandev "$device" wlanmode "$mode" ${nosbeacon:+nosbeacon}) 
    173180                [ $? -ne 0 ] && { 
    174181                        echo "enable_atheros($device): Failed to set up $mode vif $ifname" >&2 
Note: See TracChangeset for help on using the changeset viewer.